/******************************************************************************
                                calciface.cpp
                             -------------------
  begin    : Sat Feb 2 2002
  copyright: (C) 2002 by Nikandrov George
  email    : gogan@ksi-linux.com
  release  : $Id: calciface.cpp,v 1.1.1.1 2002/04/18 17:13:29 gogan Exp $
 ******************************************************************************
 *                                                                            *
 *    This program is free software; you can redistribute it and/or modify    *
 *    it under the terms of the GNU General Public License as published by    *
 *    the Free Software Foundation; either version 2 of the License, or       *
 *    (at your option) any later version.                                     *
 *                                                                            *
 *****************************************************************************/

#include "calciface.h"

void saveIBaseDecimal () {
	printf("ibase_decimal=ibase\n");
}

void saveScaleWorkaround(bool save) {
	if (save) {
	        printf("scale_onerror=scale\n");
	} else {
		printf("scale=scale_onerror\n");
	}
}

void sendCommand(const char * cmd) {
	printf("%s\n", cmd);
	fprintf(stderr,"%s\n", cmd);
}
/*
void sendIBaseCommand ( int ibase ) {
	printf("ibase=ibase_decimal\n");
	printf("ibase=%d\n", ibase);
}
*/
void sendSpecialVarDecCommand(const char *var, int scale, bool return_to_prev_ibase=true) {
	printf("ibase_save=ibase\nibase=ibase_decimal\n");
	printf("%s=%d\n", var, scale);
	if( return_to_prev_ibase ) {
		printf("ibase=ibase_save\n");
	}
}

void sendFunction(const int num, const char * func) {
//	if ( *func == NULL ) {
//	    printf("define f%d(x) {\nreturn (0);\n}\n", num);
//	} else {
	    printf("define f%d(x) {\nreturn (%s);\n}\n", num, func);

//	}
}

char *receiveResult() {
	static char buf[8192];
	if( fgets(buf,8191,stdin) != NULL ) {
		for ( int i = 28; i<32; i++ ) {
		    if ( buf[i] == '\n' ) {
			 buf[i] =  ' ';
		    }
		}
		return buf;
	} else {
		return NULL;
	}
}

void resetEngineState() {
	sendCommand("\n"
		    "}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}"
		    "}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}"
		    "}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}"
		    "}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}"
		    "\n");
	while ( receiveResult() == NULL )
	    usleep(50);
}