/***************************************************************************
                          qfuncedit.h  -  description
                             -------------------
    begin                : Mon Feb 25 2002
    copyright            : (C) 2002 by Nikandrov George
    email                : gogan@ksi-linux.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QFUNCEDIT_H
#define QFUNCEDIT_H

#define MAX_COLORS 6

#include <qwidget.h>
#include <qlabel.h>
#include <qpalette.h>
#include <qcolor.h>
#include <qpushbutton.h>

#include "qfunceditview.h"

/**
  *@author Nikandrov George
  */

class QFuncEdit : public QFuncEditView  {
   Q_OBJECT
public: 
	QFuncEdit(QWidget *parent=0, int num=1, QColor* ColorsAvail=0, const char *name=0);
	~QFuncEdit();
	void setColor();
	int curColor;
public slots:
	void nextFT();
private:
	QColor *colors;
};

#endif
