/***************************************************************************
                          qfuncedit.cpp  -  description
                             -------------------
    begin                : Mon Feb 25 2002
    copyright            : (C) 2002 by Nikandrov George
    email                : gogan@ksi-linux.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "qfuncedit.h"

QFuncEdit::QFuncEdit(QWidget *parent, int num, QColor *ColorsAvail, const char *name ) : QFuncEditView(parent,name)
{
	QString s;
	s.setNum(num);
	
	LabelNumber->setText( LabelNumber->text() + s );
	
	colors=ColorsAvail;

	curColor=-1;
	setColor();
}

QFuncEdit::~QFuncEdit()
{
}

void QFuncEdit::setColor()
{
	if ( curColor >= MAX_COLORS+1 )
	    curColor = 0;
	    
	QPixmap p(10,10);
	p.fill(colors[++curColor]);
	PushButtonColor->setPixmap(p);
}

void QFuncEdit::nextFT()
{
//	QString s();
//	ButtonFT->setText();
}
